Subject: Re: Bug: .gitconfig folder

From: Jeff King <[email-masked]>
Date: Thu, 28 May 2015 02:13:27 -0400

On Wed, May 27, 2015 at 03:24:47PM -0700, Stefan Beller wrote:

> What is our thinking for after-fact recovery attempts?
> Like we try the mmap first, if that fails we just use open to get the
> contents of
> the file. And when open fails, we can still print a nice error message?

For config, I think we could just open and read the file in the first
place. The data is not typically very big (and if you have a 3G config
file and git barfs with "out of memory", I can live with that).

-Peff